Skip to Content
ReferenceAPI referenceAbuseIPDB

List the IPs reported to AbuseIPDB in the last 90 days

GET
/api/v1/abuseipdb/reported-ips

Returns each IP reported from GeoMetrikks in the last 90 days with the time and status of its latest report. Read from the local database; nothing leaves the server.

Authorization

cookiesession<token>

Session cookie authentication.

Response Body

Request fulfilled, document follows

application/json
  1. response
[index: integer]?

An IP reported from GeoMetrikks, with its latest report.

Example Request
curl -X GET 'https://geometrikks.example.com/api/v1/abuseipdb/reported-ips'
Example Response200
[  {    "ipAddress": "string",    "reportedAt": "2019-08-24T14:15:22Z",    "status": "unconfirmed"  }]